(function ($) {
	"use strict";

    jQuery(document).ready(function($){
        
        // homepage slides
        $(".homepage-slides").owlCarousel({
            items : 1,
            loop : true,
            autoplay : true,
            autoplayTimeout:7000,
            nav : true,
            dots : false,
            navText : ['<i class="fa fa-angle-left"></i>', '<i class="fa fa-angle-right"></i>'],
            smartSpeed : 1000,
            touchDrag: true,
            mouseDrag: false
        });

        // news slides
        $(".news-slides").owlCarousel({
            items : 3,
            loop : true,
            autoplay : true,
            autoplayTimeout:5000,
            dots : true,
            smartSpeed : 1000,
            margin : 30,
            responsive : {
                // breakpoint from 0 up
                0 : {
                    items : 1,
                },
                // breakpoint from 480 up
                480 : {
                    items : 2,
                },
                // breakpoint from 768 up
                768 : {
                    items : 3,
                }
            }
        });

        // testimonial slides
        $(".testimonial-slides").owlCarousel({
            items : 2,
            loop : true,
            autoplay : true,
            autoplayTimeout:5000,
            dots : true,
            smartSpeed : 1000,
            margin : 30,
            responsive : {
                // breakpoint from 0 up
                0 : {
                    items : 1,
                },
                // breakpoint from 480 up
                480 : {
                    items : 1,
                },
                // breakpoint from 768 up
                768 : {
                    items : 2,
                }
            }
        });

    	// logo slides
    	$(".logo-slides").owlCarousel({
    		items : 6,
    		loop : true,
    		autoplay : true,
            autoplayTimeout:5000,
    		smartSpeed : 1000,
            margin : 30,
            dots : false,
            responsive : {
                // breakpoint from 0 up
                0 : {
                    items : 1,
                },
                // breakpoint from 480 up
                480 : {
                    items : 3,
                },
                // breakpoint from 768 up
                768 : {
                    items : 4,
                }
            }
    	});
    	
        // homepage slides animations
    	$(".homepage-slides").on("translate.owl.carousel", function(){
		    $(".homepage-text .subtitle").removeClass("animated fadeInUp").css({'opacity': '0'});
		    $(".homepage-text h1").removeClass("animated fadeInUp").css({'opacity': '0', 'animation-delay' : '0.3s'});
		    $(".homepage-text p.home-content").removeClass("animated fadeInUp").css({'opacity': '0', 'animation-delay' : '0.5s'});
		    $(".homepage-text a.boxed-btn").removeClass("animated fadeInUp").css({'opacity': '0', 'animation-delay' : '0.7s'});
		});

		$(".homepage-slides").on("translated.owl.carousel", function(){
		    $(".homepage-text .subtitle").addClass("animated fadeInUp").css({'opacity': '0'});
		    $(".homepage-text h1").addClass("animated fadeInUp").css({'opacity': '0', 'animation-delay' : '0.3s'});
		    $(".homepage-text p.home-content").addClass("animated fadeInUp").css({'opacity': '0', 'animation-delay' : '0.5s'});
		    $(".homepage-text a.boxed-btn").addClass("animated fadeInUp").css({'opacity': '0', 'animation-delay' : '0.7s'});
		});

       
        // search button
        $("#search-btn").on('click', function(){
            $(".search-window-wrap").addClass("search-active");
        });

        $("#close-search").on('click', function(){
            $(".search-window-wrap").removeClass("search-active");
        });


        // sticky menu
         $("#sticker").sticky({topSpacing:0});

        // slicknav
        $('#primarymenu').slicknav({
            prependTo : ".responsive-menu-wrap",
        });
        
        
    });


    jQuery(window).on("load",function(){

       // preloader fade out
        jQuery(".preloader-wrap").fadeOut("1000");

    });

    $(document).ready(function() {
        $(".mainmenu").accessibleDropDown();
    });

    $.fn.accessibleDropDown = function () {
        var el = $(this);

        /* Make dropdown menus keyboard accessible */

        $("a", el).focus(function() {
            $(this).parents("li").addClass("force-show");
        }).blur(function() {
            $(this).parents("li").removeClass("force-show");
        });
    }
    
}(jQuery));	