<?php 
/**
 * The header for our theme.
 *
 * Displays all of the <head> section 
 *
 * @package construx
 */
 ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
  <!--Shortcut icon-->

  <?php wp_head(); ?>

<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <?php endif; ?>

</head> 
<body <?php body_class(); ?>>
<?php
if ( ! function_exists( 'wp_body_open' ) ) {
function wp_body_open() {
		do_action( 'wp_body_open' );
}
} ?>

<div id="page" class="site">
<a class="skip-link screen-reader-text" href="#content">
<?php _e( 'Skip to content', 'construx' ); ?></a>
<div class="preloader-wrap">
		<div class="spinner"></div>
	</div>
<?php

$construx_header_section= get_theme_mod('construx_show_header_section','');
if($construx_header_section=='true'){

$contrux_header_social_link_1=get_theme_mod('contrux_header_social_link_1');
$contrux_header_social_link_2=get_theme_mod('contrux_header_social_link_2');
$contrux_header_social_link_3=get_theme_mod('contrux_header_social_link_3');
$contrux_header_social_link_4=get_theme_mod('contrux_header_social_link_4');

 $contrux_header_btn_text = get_theme_mod('header_btn_text'); ?>   


<div class="search-window-wrap">
	<span id="close-search"><?php echo esc_html__('close','construx'); ?> <i class="fa fa-close"></i></span>
	<div class="search-window">
		<div class="search-window-tablecell">
			<div class="container">
				<div class="row">
					<div class="col-sm-8 offset-sm-2 text-center">
						<div class="search-section-text">
							<h1><?php echo esc_html__('Search Here...','construx'); ?></h1>
							<form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
							<input type="search" name="s" placeholder="<?php echo esc_html__('search Heare...','construx'); ?>">
							<input type="submit" value="Search">
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="header-top-area" >
	<div class="container">
		<div class="row">
			<div class="col-md-6">
				<div class="social-icons">
					<ul>
						<?php if($contrux_header_social_link_1): ?>
						<li><a href="<?php echo esc_url(get_theme_mod('contrux_header_social_link_1')) ?>" target="_blank"><i class="fa fa-facebook-f"></i></a></li>
						 <?php endif; ?>
						 <?php if($contrux_header_social_link_2): ?>
						<li><a href="<?php echo esc_url(get_theme_mod('contrux_header_social_link_2')) ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
						<?php endif; ?>
						<?php if($contrux_header_social_link_3): ?>
						<li><a href="<?php echo esc_url(get_theme_mod('contrux_header_social_link_3')) ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
						<?php endif; ?>
						<?php if($contrux_header_social_link_4): ?>
						<li><a href="<?php echo esc_url(get_theme_mod('contrux_header_social_link_4')) ?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
						<?php endif; ?>
					</ul>
				</div>
			</div>
			<div class="col-md-6 text-right">
				<div class="search-section">
					<span id="search-btn"><i class="fa fa-search"></i></span>
				</div>
			</div>
		</div>
	</div>
</div>

 <?php } ?>
 
<div class="header-area" id="sticker">
	<div class="container">
		<div class="row">
			<div class="col-md-3">
				<div class="logo">
					<?php if (has_custom_logo()) : ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<?php the_custom_logo(); ?>
					</a>
					 <?php  
					 else : 
					 if (display_header_text()==true){ ?>
					 <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
					 <h2 class="blogtitle" ">
					 <?php bloginfo( 'title' ); ?>
					 </h2>
					 </a>
					 <?php } endif; ?>
				</div>
			</div>

			<div class="col-md-9 text-right">
				<!-- responsive menu -->
				<div class="responsive-menu-wrap"></div>
				<!-- main menu -->
				<div class="mainmenu">
					<ul id="primarymenu">
													
						   <?php wp_nav_menu( 
							array(
							   'container'        => 'li', 
							   'theme_location'    => 'primary', 
							   'menu_class'        => 'dropdown', 
							   'items_wrap'        => '<li class="">%3$s</li>',
							   'fallback_cb'       => 'construx_wp_bootstrap_navwalker::fallback',
								'walker'            => new construx_wp_bootstrap_navwalker()
							)
						  ); 
						?>
							
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<div id="content">