<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package construx
 */
    get_header(); 
?>

<div class="breadcrumb-area bread-crumb-bg-3">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="breadcrumb-text">
					<?php if (is_home() || is_front_page()) { ?>
					  <h2><?php echo esc_html__('blog', 'construx') ?></h2>
					  <?php } else { ?>
					  <h2><?php wp_title(''); ?></h2>
					  <?php } ?>
					  <p><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><i class="fa fa-home"></i></a><i class="fa fa-angle-right"></i><?php wp_title(''); ?></p>
				</div>
			</div>
		</div>
	</div>
</div>
	
<div class="section-padding news-section two-column">
	<div class="container">
		<div class="row">
			<div class="col-md-9">				
				  <?php if(have_posts()) : ?>
                    <?php while(have_posts()) : the_post(); ?>
                    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    	<?php get_template_part('content-parts/content', get_post_format()); ?>
                    </div>
				    <?php endwhile; ?>
                   <?php  endif; ?>
                <div class="pagination-wrap">
					<?php the_posts_pagination(
                                array(
                                'prev_text' => esc_html__('&lt;','construx'),
                                'next_text' => esc_html__('&gt;','construx')
                                )
                            ); ?>
				</div>
			</div>
			<div class="col-md-3 col-sm-3 col-md-pull-9">
				<aside class="single-widget">						
	             <?php get_sidebar(); ?>
				</aside>
			</div>   
        </div>		
	</div>
</div>
<?php get_footer(); ?>